## pd-mrpeach 0.1~svn17666

=== Makefile ===
# Makefile to build library 'mrpeach' for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules.

# library name
lib.name = mrpeach

# input source file (class name == source file basename)
class.sources = 	binfile/binfile.c \
  cmos/cd4000.c cmos/cd4001.c cmos/cd4002.c cmos/cd4008.c cmos/cd4011.c \
  cmos/cd4012.c cmos/cd4013.c cmos/cd4014.c cmos/cd4015.c cmos/cd4017.c cmos/cd40193.c cmos/cd4023.c \
  cmos/cd4024.c cmos/cd4025.c cmos/cd4027.c cmos/cd4070.c cmos/cd4071.c cmos/cd4072.c cmos/cd4073.c \
  cmos/cd4075.c cmos/cd4076.c cmos/cd4081.c cmos/cd4082.c cmos/cd4094.c cmos/cd4516.c \
	flist2tab/flist2tab.c \
	life2x/life2x.c \
	midifile/midifile.c \
	op~/op~.c \
	xbee/packxbee.c xbee/unpackxbee.c \
	rc~/rc~.c \
	rcosc~/rcosc~.c \
	rojo~/rojo~.c \
	runningmean/runningmean.c \
  serializer/sprint.c serializer/f2b.c serializer/b2f.c \
	slipdec/slipdec.c slipenc/slipenc.c \
	sqosc~/sqosc~.c \
	tab2flist/tab2flist.c \
	tabfind/tabfind.c \
	which/which.c \
  osc/unpackOSC.c osc/routeOSC.c osc/packOSC.c osc/pipelist.c \
  net/udpsend.c net/httpreceive.c net/tcpclient.c net/tcpserver.c net/udpreceive~.c net/udpreceive.c \
  net/httpreq.c net/tcpreceive.c net/udpsndrcv.c net/tcpsend.c net/udpsend~.c

  # pdpigpio/pigpio.c pdpispi/pispi.c pdpii2c/pii2c.c

# all extra files to be included in binary distribution of the library
datafiles = binfile/binfile-help.pd \
 cmos/cd4000-help.pd cmos/cd4001-help.pd cmos/cmos/cd4002-help.pd cmos/cd4008-help.pd cmos/cd4011-help.pd cmos/cd4012-help.pd \
 cmos/cd4013-help.pd cmos/cd4014-help.pd cmos/cd4015-help.pd cmos/cd4017-help.pd cmos/cd40193-help.pd cmos/cd4023-help.pd \
 cmos/cd4024-help.pd cmos/cd4025-help.pd cmos/cd4027-help.pd cmos/cd4070-help.pd cmos/cd4071-help.pd cmos/cd4072-help.pd \
 cmos/cd4073-help.pd cmos/cd4075-help.pd cmos/cd4076-help.pd cmos/cd4081-help.pd cmos/cd4082-help.pd cmos/cd4094-help.pd \
 cmos/cd4516-help.pd \
 flist2tab/flist2tab-help.pd \
 life2x/life2x-help.pd \
 midifile/I_Wanna_Be_Sedated.mid  midifile/midifile-help.pd \
 op~/op~-help.pd \
 xbee/bits.pd  xbee/packxbee-help.pd xbee/xbeeio.pd xbee/unpackxbee-help.pd xbee/packxbee-example.pd \
 rc~/rc~-help.pd \
 rcosc~/rcosc~-help.pd \
 rojo~/rojo~-help.pd \
 runningmean/runningmean-help.pd \
 serializer/f2b-help.pd serializer/b2f-help.pd serializer/sprint-help.pd \
 slipdec/slipdec-help.pd slipenc/slipenc-help.pd \
 sqosc~/sqosc~-help.pd \
 tab2flist/tab2flist-help.pd \
 tabfind/tabfind-help.pd \
 which/which-help.pd \
 osc/packOSC-help.pd osc/pipelist-help.pd  osc/unpackOSCstream.pd osc/osc-meta.pd \
 osc/packOSCstream-help.pd osc/README.txt osc/unpackOSC-help.pd \
 osc/packOSCstream.pd  osc/routeOSC-help.pd  osc/unpackOSCstream-help.pd \
 net/net-meta.pd net/tcpsend-help.pd net/tcpsocketserver-help.pd \
 net/README.txt net/tcpsocketserver.pd net/httpreceive-help.pd \
 net/udpsend~-help.pd net/tcpclient-help.pd net/tcpserver-help.pd \
 net/udpsend-help.pd net/udpreceive~-help.pd net/httpreq-help.pd \
 net/tcpsocket.FUDI-help.pd net/udpreceive-help.pd net/tcpreceive-help.pd \
 net/tcpsocket.FUDI.pd net/LICENSE.txt net/tcpsocket.OSC-help.pd \
 net/udpsndrcv-help.pd net/tcpsocket.OSC.pd
 # pdpigpio/pigpio-help.pd pdpispi/pispi-help.pd pdpii2c/pii2c-help.pd
 define forWindows
   ldlibs += -lwsock32 -liphlpapi #-lpthreadGC2 #-lkernel32 -luser32 -lgdi32 -lregex -liberty
 endef

# include Makefile.pdlibbuilder from submodule directory 'pd-lib-builder'
PDLIBBUILDER_DIR=pd-lib-builder/
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

=== cmos/Makefile ===
## Pd library template version 1.0.14
# For instructions on how to use this template, see:
#  http://puredata.info/docs/developer/MakefileTemplate
LIBRARY_NAME = cmos

# add your .c source files, one object per file, to the SOURCES
# variable, help files will be included automatically, and for GUI
# objects, the matching .tcl file too
SOURCES = \
	cd4000.c cd4008.c cd4013.c cd4017.c cd4024.c cd4070.c cd4073.c \
	cd4081.c cd4516.c cd4001.c cd4011.c cd4014.c cd40193.c cd4025.c \
	cd4071.c cd4075.c cd4082.c cd4002.c cd4012.c cd4015.c cd4023.c \
	cd4027.c cd4072.c cd4076.c cd4094.c

# list all pd objects (i.e. myobject.pd) files here, and their helpfiles will
# be included automatically
PDOBJECTS = 

# example patches and related files, in the 'examples' subfolder
EXAMPLES = 

# manuals and related files, in the 'manual' subfolder
MANUAL = 

# if you want to include any other files in the source and binary tarballs,
# list them here.  This can be anything from header files, test patches,
# documentation, etc.  README.txt and LICENSE.txt are required and therefore
# automatically included
EXTRA_DIST = 

# unit tests and related files here, in the 'unittests' subfolder
UNITTESTS = 



#------------------------------------------------------------------------------#
#
# things you might need to edit if you are using other C libraries
#
#------------------------------------------------------------------------------#

ALL_CFLAGS = -I"$(PD_INCLUDE)"
ALL_LDFLAGS =  
SHARED_LDFLAGS =
ALL_LIBS = 


#------------------------------------------------------------------------------#
#
# you shouldn't need to edit anything below here, if we did it right :)
#
#------------------------------------------------------------------------------#

# these can be set from outside without (usually) breaking the build
CFLAGS = -Wall -W -g
LDFLAGS =
LIBS =

# get library version from meta file
LIBRARY_VERSION = $(shell sed -n 's|^\#X text [0-9][0-9]* [0-9][0-9]* VERSION \(.*\);|\1|p' $(LIBRARY_NAME)-meta.pd)

ALL_CFLAGS += -DPD -DVERSION='"$(LIBRARY_VERSION)"'

PD_INCLUDE = $(PD_PATH)/include/pd
# where to install the library, overridden below depending on platform
prefix = /usr/local
libdir = $(prefix)/lib
pkglibdir = $(libdir)/pd-externals
objectsdir = $(pkglibdir)

INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p -m 644
INSTALL_DATA = $(INSTALL) -p -m 644
INSTALL_DIR     = $(INSTALL) -p -m 755 -d

ALLSOURCES := $(SOURCES) $(SOURCES_android) $(SOURCES_cygwin) $(SOURCES_macosx) \
	         $(SOURCES_iphoneos) $(SOURCES_linux) $(SOURCES_windows)

DISTDIR=$(LIBRARY_NAME)-$(LIBRARY_VERSION)
ORIGDIR=pd-$(LIBRARY_NAME:~=)_$(LIBRARY_VERSION)

UNAME := $(shell uname -s)
ifeq ($(UNAME),Darwin)
  CPU := $(shell uname -p)
  ifeq ($(CPU),arm) # iPhone/iPod Touch
    SOURCES += $(SOURCES_iphoneos)
    EXTENSION = pd_darwin
    SHARED_EXTENSION = dylib
    OS = iphoneos
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    IPHONE_BASE=/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin
    CC=$(IPHONE_BASE)/gcc
    CPP=$(IPHONE_BASE)/cpp
    CXX=$(IPHONE_BASE)/g++
    ISYSROOT = -isysroot /Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS3.0.sdk
    IPHONE_CFLAGS = -miphoneos-version-min=3.0 $(ISYSROOT) -arch armv6
    OPT_CFLAGS = -fast -funroll-loops -fomit-frame-pointer
    ALL_CFLAGS := $(IPHONE_CFLAGS) $(ALL_CFLAGS)
    ALL_LDFLAGS += -arch armv6 -bundle -undefined dynamic_lookup $(ISYSROOT)
    SHARED_LDFLAGS += -arch armv6 -dynamiclib -undefined dynamic_lookup $(ISYSROOT)
    ALL_LIBS += -lc $(LIBS_iphoneos)
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
  else # Mac OS X
    SOURCES += $(SOURCES_macosx)
    EXTENSION = pd_darwin
    SHARED_EXTENSION = dylib
    OS = macosx
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    OPT_CFLAGS = -ftree-vectorize -ftree-vectorizer-verbose=2 -fast
# build universal 32-bit on 10.4 and 32/64 on newer
    ifeq ($(shell uname -r | sed 's|\([0-9][0-9]*\)\.[0-9][0-9]*\.[0-9][0-9]*|\1|'), 8)
      FAT_FLAGS = -arch ppc -arch i386 -mmacosx-version-min=10.4
    else
      SOURCES += $(SOURCES_iphoneos)
# Starting with Xcode 4.0, the PowerPC compiler is not installed by default
      ifeq ($(wildcard /usr/llvm-gcc-4.2/libexec/gcc/powerpc*), )
        FAT_FLAGS = -arch i386 -arch x86_64 -mmacosx-version-min=10.5
      else
        FAT_FLAGS = -arch ppc -arch i386 -arch x86_64 -mmacosx-version-min=10.4
      endif
    endif
    ALL_CFLAGS += $(FAT_FLAGS) -fPIC -I/sw/include
    # if the 'pd' binary exists, check the linking against it to aid with stripping
    BUNDLE_LOADER = $(shell test ! -e $(PD_PATH)/bin/pd || echo -bundle_loader $(PD_PATH)/bin/pd)
    ALL_LDFLAGS += $(FAT_FLAGS) -headerpad_max_install_names -bundle $(BUNDLE_LOADER) \
	-undefined dynamic_lookup -L/sw/lib
    SHARED_LDFLAGS += $(FAT_FLAGS) -dynamiclib -undefined dynamic_lookup \
	-install_name @loader_path/$(SHARED_LIB) -compatibility_version 1 -current_version 1.0
    ALL_LIBS += -lc $(LIBS_macosx)
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
# install into ~/Library/Pd on Mac OS X since /usr/local isn't used much
    pkglibdir=$(HOME)/Library/Pd
  endif
endif
# Tho Android uses Linux, we use this fake uname to provide an easy way to
# setup all this things needed to cross-compile for Android using the NDK
ifeq ($(UNAME),ANDROID)
  CPU := arm
  SOURCES += $(SOURCES_android)
  EXTENSION = so
  SHARED_EXTENSION = so
  OS = android
  PD_PATH = /usr
  NDK_BASE := /opt/android-ndk
  NDK_PLATFORM_LEVEL ?= 5
  NDK_ABI=arm
  NDK_COMPILER_VERSION = 4.6
  NDK_SYSROOT=$(NDK_BASE)/platforms/android-$(NDK_PLATFORM_LEVEL)/arch-$(NDK_ABI)
  NDK_UNAME:=$(shell uname -s | tr '[A-Z]' '[a-z]')
  ifeq ($(NDK_ABI),x86)
    HOST = i686-linux-android
    NDK_TOOLCHAIN = $(NDK_ABI)-$(NDK_COMPILER_VERSION)
  else
    HOST = $(NDK_ABI)-linux-androideabi
    NDK_TOOLCHAIN = $(HOST)-$(NDK_COMPILER_VERSION)
  endif
  NDK_TOOLCHAIN_BASE=$(NDK_BASE)/toolchains/$(NDK_TOOLCHAIN)/prebuilt/$(NDK_UNAME)-$(NDK_PROCESSOR)
  CC := $(NDK_TOOLCHAIN_BASE)/bin/$(HOST)-gcc --sysroot=$(NDK_SYSROOT)
  LD := $(NDK_TOOLCHAIN_BASE)/bin/$(HOST)-ld
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  CFLAGS += 
  LDFLAGS += -rdynamic -shared
  SHARED_LDFLAGS += -Wl,-soname,$(SHARED_LIB) -shared
  LIBS += -lc $(LIBS_android)
  STRIP := $(NDK_TOOLCHAIN_BASE)/bin/$(HOST)-strip) \
	--strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),Linux)
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -Wl,-soname,$(SHARED_LIB) -shared
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU)
  # GNU/Hurd, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU/kFreeBSD)
  # Debian GNU/kFreeBSD, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq (CYGWIN,$(findstring CYGWIN,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_cygwin)
  EXTENSION = dll
  SHARED_EXTENSION = dll
  OS = cygwin
  PD_PATH = $(shell cygpath $$PROGRAMFILES)/pd
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += 
  ALL_LDFLAGS += -rdynamic -shared -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin"
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc -lpd $(LIBS_cygwin)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif
ifeq (MINGW,$(findstring MINGW,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_windows)
  EXTENSION = dll
  SHARED_EXTENSION = dll
  OS = windows
  PD_PATH = $(shell cd "$$PROGRAMFILES/pd" && pwd)
  # MinGW doesn't seem to include cc so force gcc
  CC=gcc
  OPT_CFLAGS = -O3 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -mms-bitfields
  ALL_LDFLAGS += -s -shared -Wl,--enable-auto-import
  SHARED_LDFLAGS += -shared
  ALL_LIBS += -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin" -L"$(PD_PATH)/obj" \
	-lpd -lwsock32 -lkernel32 -luser32 -lgdi32 -liberty $(LIBS_windows)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif

# in case somebody manually set the HELPPATCHES above
HELPPATCHES ?= $(SOURCES:.c=-help.pd) $(PDOBJECTS:.pd=-help.pd)

ALL_CFLAGS := $(ALL_CFLAGS) $(CFLAGS) $(OPT_CFLAGS)
ALL_LDFLAGS := $(LDFLAGS) $(ALL_LDFLAGS)
ALL_LIBS := $(LIBS) $(ALL_LIBS)

SHARED_SOURCE ?= $(wildcard lib$(LIBRARY_NAME).c)
SHARED_HEADER ?= $(shell test ! -e $(LIBRARY_NAME).h || echo $(LIBRARY_NAME).h)
SHARED_LIB ?= $(SHARED_SOURCE:.c=.$(SHARED_EXTENSION))
SHARED_TCL_LIB = $(wildcard lib$(LIBRARY_NAME).tcl)

.PHONY = install libdir_install single_install install-doc install-examples install-manual install-unittests clean distclean dist etags $(LIBRARY_NAME)

all: $(SOURCES:.c=.$(EXTENSION)) $(SHARED_LIB)

%.o: %.c
	$(CC) $(ALL_CFLAGS) -o "$*.o" -c "$*.c"

%.$(EXTENSION): %.o $(SHARED_LIB)
	$(CC) $(ALL_LDFLAGS) -o "$*.$(EXTENSION)" "$*.o"  $(ALL_LIBS) $(SHARED_LIB)
	chmod a-x "$*.$(EXTENSION)"

# this links everything into a single binary file
$(LIBRARY_NAME): $(SOURCES:.c=.o) $(LIBRARY_NAME).o lib$(LIBRARY_NAME).o
	$(CC) $(ALL_LDFLAGS) -o $(LIBRARY_NAME).$(EXTENSION) $(SOURCES:.c=.o) \
		$(LIBRARY_NAME).o lib$(LIBRARY_NAME).o $(ALL_LIBS)
	chmod a-x $(LIBRARY_NAME).$(EXTENSION)

$(SHARED_LIB): $(SHARED_SOURCE:.c=.o)
	$(CC) $(SHARED_LDFLAGS) -o $(SHARED_LIB) $(SHARED_SOURCE:.c=.o) $(ALL_LIBS)

install: libdir_install

# The meta and help files are explicitly installed to make sure they are
# actually there.  Those files are not optional, then need to be there.
libdir_install: $(SOURCES:.c=.$(EXTENSION)) $(SHARED_LIB) install-doc install-examples install-manual install-unittests
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd \
		$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(SOURCES))" || (\
		$(INSTALL_PROGRAM) $(SOURCES:.c=.$(EXTENSION)) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME) && \
		$(STRIP) $(addprefix $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/,$(SOURCES:.c=.$(EXTENSION))))
	test -z "$(strip $(SHARED_LIB))" || \
		$(INSTALL_DATA) $(SHARED_LIB) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(wildcard $(SOURCES:.c=.tcl)))" || \
		$(INSTALL_DATA) $(wildcard $(SOURCES:.c=.tcl)) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(PDOBJECTS))" || \
		$(INSTALL_DATA) $(PDOBJECTS) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(SHARED_TCL_LIB))" || \
		$(INSTALL_DATA) $(SHARED_TCL_LIB) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)

# install library linked as single binary
single_install: $(LIBRARY_NAME) install-doc install-examples install-manual install-unittests
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)

=== osc/Makefile ===
## Pd library template version 1.0.9-zmoelnig
# For instructions on how to use this template, see:
#  http://puredata.info/docs/developer/MakefileTemplate
#

# the name of this library
# must not contain any spaces or weird characters (as it's used for
# filenames,...)
LIBRARY_NAME = osc

# add your .c source files, one object per file, to the SOURCES
# variable, help files will be included automatically, and for GUI
# objects, the matching .tcl file too
SOURCES = packOSC.c  pipelist.c  routeOSC.c  unpackOSC.c

# list all pd objects (i.e. myobject.pd) files here, and their helpfiles will
# be included automatically
PDOBJECTS = packOSCstream.pd unpackOSCstream.pd

# example patches and related files, in the 'examples' subfolder
EXAMPLES = 

# manuals and related files, in the 'manual' subfolder
MANUAL = 

# if you want to include any other files in the source and binary tarballs,
# list them here.  This can be anything from header files, test patches,
# documentation, etc.  README.txt and LICENSE.txt are required and therefore
# automatically included
EXTRA_DIST = packingOSC.h


HELPPATCHES = \
	packOSC-help.pd \
	packOSCstream-help.pd \
	pipelist-help.pd routeOSC-help.pd \
	unpackOSCstream-help.pd

#------------------------------------------------------------------------------#
#
# things you might need to edit if you are using other C libraries
#
#------------------------------------------------------------------------------#

# -I"$(PD_INCLUDE)" supports the header location for 0.43
ALL_CFLAGS = -I"$(PD_INCLUDE)"
ALL_LDFLAGS =  
ALL_LIBS = 

#------------------------------------------------------------------------------#
#
# you shouldn't need to edit anything below here, if we did it right :)
#
#------------------------------------------------------------------------------#

# these can be set from outside without (usually) breaking the build
CFLAGS = -Wall -W -g
LDFLAGS=
LIBS=

# get library version from meta file
LIBRARY_VERSION = $(shell sed -n 's|^\#X text [0-9][0-9]* [0-9][0-9]* VERSION \(.*\);|\1|p' $(LIBRARY_NAME)-meta.pd)

ALL_CFLAGS += -DPD -DVERSION='"$(LIBRARY_VERSION)"'

PD_INCLUDE = $(PD_PATH)/include/pd
# where to install the library, overridden below depending on platform
prefix = /usr/local
libdir = $(prefix)/lib
pkglibdir = $(libdir)/pd-externals
objectsdir = $(pkglibdir)

INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p -m 644
INSTALL_DATA = $(INSTALL) -p -m 644
INSTALL_DIR     = $(INSTALL) -p -m 755 -d

ALLSOURCES := $(SOURCES) $(SOURCES_android) $(SOURCES_cygwin) $(SOURCES_macosx) \
	         $(SOURCES_iphoneos) $(SOURCES_linux) $(SOURCES_windows)

DISTDIR=$(LIBRARY_NAME)-$(LIBRARY_VERSION)
ORIGDIR=pd-$(LIBRARY_NAME:~=)_$(LIBRARY_VERSION)

UNAME := $(shell uname -s)
ifeq ($(UNAME),Darwin)
  CPU := $(shell uname -p)
  ifeq ($(CPU),arm) # iPhone/iPod Touch
    SOURCES += $(SOURCES_iphoneos)
    EXTENSION = pd_darwin
    OS = iphoneos
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    IPHONE_BASE=/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin
    CC=$(IPHONE_BASE)/gcc
    CPP=$(IPHONE_BASE)/cpp
    CXX=$(IPHONE_BASE)/g++
    ISYSROOT = -isysroot /Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS3.0.sdk
    IPHONE_CFLAGS = -miphoneos-version-min=3.0 $(ISYSROOT) -arch armv6
    OPT_CFLAGS = -fast -funroll-loops -fomit-frame-pointer
    ALL_CFLAGS := $(IPHONE_CFLAGS) $(ALL_CFLAGS)
    ALL_LDFLAGS += -arch armv6 -bundle -undefined dynamic_lookup $(ISYSROOT)
    ALL_LIBS += -lc 
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
  else # Mac OS X
    SOURCES += $(SOURCES_macosx)
    EXTENSION = pd_darwin
    OS = macosx
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    OPT_CFLAGS = -ftree-vectorize -ftree-vectorizer-verbose=2 -fast
# build universal 32-bit on 10.4 and 32/64 on newer
    ifeq ($(shell uname -r | sed 's|\([0-9][0-9]*\)\.[0-9][0-9]*\.[0-9][0-9]*|\1|'), 8)
      FAT_FLAGS = -arch ppc -arch i386 -mmacosx-version-min=10.4
    else
      FAT_FLAGS = -arch ppc -arch i386 -arch x86_64 -mmacosx-version-min=10.4
      SOURCES += $(SOURCES_iphoneos)
    endif
    ALL_CFLAGS += $(FAT_FLAGS) -fPIC -I/sw/include
    ALL_LDFLAGS += $(FAT_FLAGS) -bundle -undefined dynamic_lookup -L/sw/lib
    # if the 'pd' binary exists, check the linking against it to aid with stripping
    ALL_LDFLAGS += $(shell test -e $(PD_PATH)/bin/pd && echo -bundle_loader $(PD_PATH)/bin/pd)
    ALL_LIBS += -lc 
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
# install into ~/Library/Pd on Mac OS X since /usr/local isn't used much
    pkglibdir=$(HOME)/Library/Pd
  endif
endif
# Tho Android uses Linux, we use this fake uname to provide an easy way to
# setup all this things needed to cross-compile for Android using the NDK
ifeq ($(UNAME),ANDROID)
  CPU := arm
  SOURCES += $(SOURCES_android)
  EXTENSION = pd_linux
  OS = android
  PD_PATH = /usr
  NDK_BASE := /usr/local/android-ndk
  NDK_PLATFORM_VERSION := 5
  NDK_SYSROOT=$(NDK_BASE)/platforms/android-$(NDK_PLATFORM_VERSION)/arch-arm
  NDK_UNAME := $(shell uname -s | tr '[A-Z]' '[a-z]')
  NDK_TOOLCHAIN_BASE=$(NDK_BASE)/toolchains/arm-linux-androideabi-4.4.3/prebuilt/$(NDK_UNAME)-x86
  CC := $(NDK_TOOLCHAIN_BASE)/bin/arm-linux-androideabi-gcc --sysroot=$(NDK_SYSROOT)
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  CFLAGS += 
  LDFLAGS += -Wl,--export-dynamic -shared
  LIBS += -lc
  STRIP := $(NDK_TOOLCHAIN_BASE)/bin/arm-linux-androideabi-strip \
	--strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),Linux)
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -Wl,--export-dynamic  -shared -fPIC
  ALL_LIBS += -lc
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU)
  # GNU/Hurd, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -Wl,--export-dynamic  -shared -fPIC
  ALL_LIBS += -lc
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU/kFreeBSD)
  # Debian GNU/kFreeBSD, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -Wl,--export-dynamic  -shared -fPIC
  ALL_LIBS += -lc
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq (CYGWIN,$(findstring CYGWIN,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_cygwin)
  EXTENSION = dll
  OS = cygwin
  PD_PATH = $(cygpath $(PROGRAMFILES))/pd
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += 
  ALL_LDFLAGS += -Wl,--export-dynamic -shared -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin"
  ALL_LIBS += -lc -lpd
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif
ifeq (MINGW,$(findstring MINGW,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_windows)
  EXTENSION = dll
  OS = windows
  PD_PATH = $(shell cd "$(PROGRAMFILES)"/pd && pwd)
  OPT_CFLAGS = -O3 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -mms-bitfields
  ALL_LDFLAGS += -s -shared -Wl,--enable-auto-import
  ALL_LIBS += -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin" -L"$(PD_PATH)/obj" -lpd -lwsock32 -lkernel32 -luser32 -lgdi32
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif

# in case somebody manually set the HELPPATCHES above
HELPPATCHES ?= $(SOURCES:.c=-help.pd) $(PDOBJECTS:.pd=-help.pd)

CFLAGS += $(OPT_CFLAGS)

ALL_CFLAGS := $(ALL_CFLAGS) $(CFLAGS)
ALL_LDFLAGS := $(LDFLAGS) $(ALL_LDFLAGS)
ALL_LIBS := $(LIBS) $(ALL_LIBS)

.PHONY = install libdir_install single_install install-doc install-exec install-examples install-manual clean dist etags $(LIBRARY_NAME)

all: $(SOURCES:.c=.$(EXTENSION))

%.o: %.c
	$(CC) $(ALL_CFLAGS) -o "$*.o" -c "$*.c"

%.$(EXTENSION): %.o
	$(CC) $(ALL_LDFLAGS) -o "$*.$(EXTENSION)" "$*.o"  $(ALL_LIBS)
	chmod a-x "$*.$(EXTENSION)"

# this links everything into a single binary file
$(LIBRARY_NAME): $(SOURCES:.c=.o) $(LIBRARY_NAME).o
	$(CC) $(ALL_LDFLAGS) -o $(LIBRARY_NAME).$(EXTENSION) $(SOURCES:.c=.o) $(LIBRARY_NAME).o $(ALL_LIBS)
	chmod a-x $(LIBRARY_NAME).$(EXTENSION)

install: libdir_install

# The meta and help files are explicitly installed to make sure they are
# actually there.  Those files are not optional, then need to be there.
libdir_install: $(SOURCES:.c=.$(EXTENSION)) install-doc install-examples install-manual
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd \
		$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(SOURCES))" || (\
		$(INSTALL_PROGRAM) $(SOURCES:.c=.$(EXTENSION)) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME) && \
		$(STRIP) $(addprefix $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/,$(SOURCES:.c=.$(EXTENSION))))
	test -z "$(strip $(shell ls $(SOURCES:.c=.tcl)))" || \
		$(INSTALL_DATA) $(shell ls $(SOURCES:.c=.tcl)) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(PDOBJECTS))" || \
		$(INSTALL_DATA) $(PDOBJECTS) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)

# install library linked as single binary
single_install: $(LIBRARY_NAME) install-doc install-exec
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_PROGRAM) $(LIBRARY_NAME).$(EXTENSION) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(STRIP) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/$(LIBRARY_NAME).$(EXTENSION)

install-doc:
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(SOURCES) $(PDOBJECTS))" || \
		$(INSTALL_DATA) $(HELPPATCHES) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_DATA) README.txt $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/README.txt
	$(INSTALL_DATA) LICENSE.txt $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/LICENSE.txt

install-examples:
	test -z "$(strip $(EXAMPLES))" || \
		$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/examples && \
		for file in $(EXAMPLES); do \
			$(INSTALL_DATA) examples/$$file $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/examples; \
		done

install-manual:
	test -z "$(strip $(MANUAL))" || \
		$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/manual && \
		for file in $(MANUAL); do \
			$(INSTALL_DATA) manual/$$file $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/manual; \
		done


clean:
	-rm -f -- $(SOURCES:.c=.o) $(SOURCES_LIB:.c=.o)
	-rm -f -- $(SOURCES:.c=.$(EXTENSION))
	-rm -f -- $(LIBRARY_NAME).o
	-rm -f -- $(LIBRARY_NAME).$(EXTENSION)

distclean: clean
	-rm -f -- $(DISTBINDIR).tar.gz
	-rm -rf -- $(DISTBINDIR)
	-rm -f -- $(DISTDIR).tar.gz
	-rm -rf -- $(DISTDIR)
	-rm -f -- $(ORIGDIR).tar.gz
	-rm -rf -- $(ORIGDIR)


$(DISTBINDIR):
	$(INSTALL_DIR) $(DISTBINDIR)

libdir: all $(DISTBINDIR)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd  $(DISTBINDIR)
	$(INSTALL_DATA) $(SOURCES)  $(DISTBINDIR)
	$(INSTALL_DATA) $(HELPPATCHES) $(DISTBINDIR)
	test -z "$(strip $(EXTRA_DIST))" || \
		$(INSTALL_DATA) $(EXTRA_DIST)    $(DISTBINDIR)
#	tar --exclude-vcs -czpf $(DISTBINDIR).tar.gz $(DISTBINDIR)

$(DISTDIR):
	$(INSTALL_DIR) $(DISTDIR)

$(ORIGDIR):
	$(INSTALL_DIR) $(ORIGDIR)

dist: $(DISTDIR)
	$(INSTALL_DATA) Makefile  $(DISTDIR)
	$(INSTALL_DATA) README.txt $(DISTDIR)
	$(INSTALL_DATA) LICENSE.txt $(DISTDIR)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd  $(DISTDIR)
	test -z "$(strip $(ALLSOURCES))" || \
		$(INSTALL_DATA) $(ALLSOURCES)  $(DISTDIR)
	test -z "$(strip $(shell ls $(ALLSOURCES:.c=.tcl)))" || \
		$(INSTALL_DATA) $(shell ls $(ALLSOURCES:.c=.tcl))  $(DISTDIR)
	test -z "$(strip $(PDOBJECTS))" || \

=== debian/changelog ===
pd-mrpeach (0.1~svn17666-1) unstable; urgency=medium

  * New upstream version 0.1~svn17666
    * Regenerate upstream changelog
  * Upstream no longer builds [str]
    * on Debian we have long shipped a dummy anyhow
  * Use system-provided pd-lib-builder
  * Drop subdirectory builds
  * pd-mrpeach now is a superset of the other binary packages
    * Declare conflicts between dbgsym packages
  * Add lintian-override for not-linked-against-libc false-positive
  * Bumped dh-compat to 13
    * Install files from /usr/lib/pd/extra to keep dh_missing happy

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 21 Sep 2020 23:13:34 +0200

=== debian/control ===
Source: pd-mrpeach
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-buildinfo,
 pd-lib-builder,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Section: sound
Homepage: https://download.puredata.info/mrpeach
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-mrpeach.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-mrpeach

Package: pd-mrpeach
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Recommends:
 pd-comport,
Description: bag of tricks for Pure Data (Pd)
 mrpeach is a collection of general purpose objects:
  - [op~] signal comparison
  - [rc~] resistor-capacitor circuit
  - [rcosc~] resistor-capacitor oscillator
  - [rojo~] red noise generator
  - [sqosc~] bandlimited pulse generator
  - [runningmean] moving average filter
  - [tabfind] find a number in a table
  - [f2b] float32 → bytes converter
  - [b2f] bytes → float32 converter
  - [life2x] game of life
  - [which] output path to a Pd-object
 .
  - [midifile] play and record MIDI files
  - [binfile] read/write raw data files

Package: pd-osc
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Recommends:
 pd-iemnet | pd-net,
Suggests:
 pd-comport,
 pd-slip,
Description: Open Sound Control for Pd
 This library allows one to construct and parse OSC messages within Pd.  It
 includes support for ordinary OSC-messages, typetags, timetags and bundles.
 .
 These objects are transport-agnostic, so you can use them to transmit OSC over
 UDP, TCP/IP, serial port, or in fact whatever you want.  However, you will have
 to install additional libraries that will handle the transport layer (like
 pd-net or pd-comport).
 .
 Note however, that OSC is a packet-based protocol, so if you intend to use it
 with a stream-based transport (like TCP/IP or the serial line), you must use
 a packetizer (the OSC-specifications suggest to use SLIP, as provided by
 pd-slip).

Package: pd-cmos
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Description: digital logic emulator objects for Pure Data (Pd)
 This is a collection of small objects that emulate logic CMOS components,
 namely the CD4000 series.
 It currently contains 25 objects of the cd4000 series.
 .
 The emulation assumes idealized components, and works in the message domain.

Package: pd-mrpeach-net
Architecture: any
Section: net
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Recommends:
 pd-osc,
 pd-pddp,
Suggests:
 pd-slip,
Provides: pd-net
Description: Pd library for low-level networking
 This library adds Pure Data (Pd) objects that allow one to build a networking
 infrastructure within Pd on OSI-Layer 4 (transport layer).
 The objects use threads to allow for non-blocking network communication within
 an audio realtime environment.
  - [tcpreceive], [tcpsend]: unidirectional communication over TCP/IP
  - [tcpserver], [tcpclient]: bidirectional communication over TCP/IP
  - [udpreceive], [udpsend]: unidirectional communication over UDP
  - [udpsndrcv]: bidirectional communication over UDP
  - [udpsend~], [udpreceive~]: transmit uncompressed signals via UDP
 Since these objects only send/receive lists of bytes, you will most likely need
 to add some glue to implement higher-level protocols (and transmit meaningful
 data).

Package: pd-slip
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Recommends:
 pd-osc,
Enhances:
 pd-comport,
 pd-net,
Description: SLIP encoder/decoder for Pure Data (Pd)
 This library implements the Serial Line Internet Protocol (SLIP),
 a simple protocol for encapsulating packets within a streaming transport
 protocol such as TCP/IP or on the serial port.
 .
 You will need this if you plan to transmit e.g. OSC messages via TCP/IP or
 the serial line.

Package: pd-xbee
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Recommends:
 pd-comport,
Section: electronics
Description: interfacing with your XBee from within Pure Data (Pd)
 This library allows you to interact with your XBee (a small form factor radio
 module).
 It provides objects for encoding and decoding XBee commands/responses.
 .
 The underlying communication is handled by other objects, usually [comport].

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2015-2016 IOhannes m zmölnig <umlaeute@debian.org>
# Description: Main Debian packaging script for mrpeach

pkglibdir = /usr/lib/pd/extra

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# get SOURCE_DATE_EPOCH and DEB_VERSION
include /usr/share/dpkg/pkg-info.mk

## set timestamp for reproducible builds
DATE_FMT = %Y/%m/%d at %H:%M:%S UTC
ifdef SOURCE_DATE_EPOCH
    BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
else
    BUILD_DATE ?= $(shell date "+$(DATE_FMT)")
endif
CPPFLAGS +=-DBUILD_DATE='\"compiled for Debian on $(BUILD_DATE)\"'

CFLAGS+=$(CPPFLAGS) -I/usr/include/pd

%:
	dh $@

override_dh_auto_clean \
override_dh_auto_build \
override_dh_auto_test:
	$(patsubst override_%,%,$@) -- \
		PDLIBBUILDER_DIR=/usr/share/pd-lib-builder/ \
                prefix=/usr pkglibdir=$(pkglibdir) \
                arch.flags="" \
                CPPFLAGS="$(CPPFLAGS)" \
                CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
                LDFLAGS="$(LDFLAGS)" \
                $(empty)

override_dh_auto_install:
	dh_auto_install -- \
		PDLIBBUILDER_DIR=/usr/share/pd-lib-builder/ \
                prefix=/usr pkglibdir=$(pkglibdir) \
                arch.flags="" \
                CPPFLAGS="$(CPPFLAGS)" \
                CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
                LDFLAGS="$(LDFLAGS)" \
                $(empty)
# fix permissions
	find $(CURDIR)/debian/tmp/ -name "*.pd_linux" -exec \
		chmod 0644 {} +
# replace license file with link to the Debian license file
	rm -f -- $(CURDIR)/debian/tmp/$(pkglibdir)/$(LIBRARY_NAME)/LICENSE.txt

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream_changelog

override_dh_gencontrol:
	dh_gencontrol --package=pd-osc -- -v1:$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol --remaining-packages
	for p in cmos mrpeach-net osc slip xbee; do\
		if [ -f debian/.debhelper/pd-$$p/dbgsym-root/DEBIAN/control ]; then\
			echo "Conflicts: pd-mrpeach-dbgsym" >> debian/.debhelper/pd-$$p/dbgsym-root/DEBIAN/control\
	; fi; done
	if [ -f debian/.debhelper/pd-mrpeach/dbgsym-root/DEBIAN/control ]; then\
		echo "Conflicts: pd-cmos-dbgsym, pd-mrpeach-net-dbgsym, pd-osc-dbgsym, pd-slip-dbgsym, pd-xbee-dbgsym" >> debian/.debhelper/pd-mrpeach/dbgsym-root/DEBIAN/control\
	;fi

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        ^\./\.git/.*|\./debian/|\./midifile/I_Wanna_Be_Sedated\.mid$

licensecheck:
	LANG=C licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## pd-mrpeach 0.1~svn17672

=== debian/changelog ===
pd-mrpeach (0.1~svn17672-12) unstable; urgency=medium

  * Team upload.
  * Drop package pd-slip (Closes: #1118472, #1118473)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 22 Oct 2025 21:25:13 +0200

pd-mrpeach (0.1~svn17672-11) unstable; urgency=medium

  * Team upload.
  * Drop package pd-osc (Closes: #1111053)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 20 Oct 2025 20:11:36 +0200

pd-mrpeach (0.1~svn17672-10) unstable; urgency=medium

  * Team Upload
  * Drop dh-buildinfo dummy dependency

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Update git repository layout to follow DEP-14

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Oct 2025 21:36:25 +0200

pd-mrpeach (0.1~svn17672-9) unstable; urgency=medium

  * Re-upload to unstable.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 20 Nov 2024 11:01:51 +0100

pd-mrpeach (0.1~svn17672-8) unstable; urgency=medium

  * Fix autopkgtests
    + More printout in tests
    + Allow stderr in tests

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 18 Nov 2024 13:35:07 +0100

pd-mrpeach (0.1~svn17672-7) unstable; urgency=medium

  * Backport enabling of SIOCOUTQ
  * Backport fix for FTBFS in SIOCOUTQ-only code (Closes: #1073590)
  * Update lintian-override for not-linked-against-libc false-positive
    (Pd64)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 08 Oct 2024 14:42:37 +0200

pd-mrpeach (0.1~svn17672-6) unstable; urgency=medium

  * Fix FTBFS with Pd64 (Closes: #1073340)
  * Add 'Provides' stanza
  * Switch to dh-sequence-puredata
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 17 Jun 2024 18:11:18 +0200

pd-mrpeach (0.1~svn17672-5) unstable; urgency=medium

  * Add patches to fix implicit declarations (Closes: #1066591)
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 18 Mar 2024 13:26:44 +0100

pd-mrpeach (0.1~svn17672-4) unstable; urgency=medium

  * Remove superfluous deletion of LICENSE.txt prior to symlinking it.
  * Modernize 'licensecheck' target
    + Ensure that 'licensecheck' is run with the C.UTF-8 locale

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:48:49 +0100

pd-mrpeach (0.1~svn17672-3) unstable; urgency=medium

  * Switch to dh-sequence-pd-lib-builder
  * Trust Debian's defaults for reproducible builds
  * Modernize 'licensecheck' target
    + Regenerate d/copyright_hints
  * Modernize lintian-overrides
    + Add lintian-overrides for pd-cmos/pd-mrpeach
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 06 Dec 2022 13:53:52 +0100

pd-mrpeach (0.1~svn17672-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Apply "warp-and-sort -ast"
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Sep 2022 14:09:30 +0200

pd-mrpeach (0.1~svn17672-1) unstable; urgency=medium

  * New upstream version 0.1~svn17672
    * Regenerate upstream changelog
  * Depend on "puredata-core" rather than "puredata"
  * Backported patch for less verbosity
  * Add autopkgtest
  * Watch new upstream repository on github
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 24 Aug 2021 00:25:06 +0200

=== debian/control ===
Source: pd-mrpeach
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-puredata,
Standards-Version: 4.7.2
Section: sound
Homepage: https://download.puredata.info/mrpeach
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-mrpeach.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-mrpeach

Package: pd-mrpeach
Architecture: any
Depends:
 ${misc:Depends},
 ${puredata:Depends},
 ${shlibs:Depends},
Recommends:
 pd-comport,
 ${puredata:Recommends},
Suggests:
 ${puredata:Suggests},
Provides:
 ${puredata:Provides},
Description: bag of tricks for Pure Data (Pd)
 mrpeach is a collection of general purpose objects:
  - [op~] signal comparison
  - [rc~] resistor-capacitor circuit
  - [rcosc~] resistor-capacitor oscillator
  - [rojo~] red noise generator
  - [sqosc~] bandlimited pulse generator
  - [runningmean] moving average filter
  - [tabfind] find a number in a table
  - [f2b] float32 → bytes converter
  - [b2f] bytes → float32 converter
  - [life2x] game of life
  - [which] output path to a Pd-object
 .
  - [midifile] play and record MIDI files
  - [binfile] read/write raw data files

Package: pd-cmos
Architecture: any
Depends:
 ${misc:Depends},
 ${puredata:Depends},
 ${shlibs:Depends},
Recommends:
 ${puredata:Recommends},
Suggests:
 ${puredata:Suggests},
Provides:
 ${puredata:Provides},
Description: digital logic emulator objects for Pure Data (Pd)
 This is a collection of small objects that emulate logic CMOS components,
 namely the CD4000 series.
 It currently contains 25 objects of the cd4000 series.
 .
 The emulation assumes idealized components, and works in the message domain.

Package: pd-mrpeach-net
Architecture: any
Section: net
Depends:
 ${misc:Depends},
 ${puredata:Depends},
 ${shlibs:Depends},
Recommends:
 pd-osc,
 pd-pddp,
 ${puredata:Recommends},
Suggests:
 pd-slip,
 ${puredata:Suggests},
Provides:
 pd-net,
 ${puredata:Provides},
Description: Pd library for low-level networking
 This library adds Pure Data (Pd) objects that allow one to build a networking
 infrastructure within Pd on OSI-Layer 4 (transport layer).
 The objects use threads to allow for non-blocking network communication within
 an audio realtime environment.
  - [tcpreceive], [tcpsend]: unidirectional communication over TCP/IP
  - [tcpserver], [tcpclient]: bidirectional communication over TCP/IP
  - [udpreceive], [udpsend]: unidirectional communication over UDP
  - [udpsndrcv]: bidirectional communication over UDP
  - [udpsend~], [udpreceive~]: transmit uncompressed signals via UDP
 Since these objects only send/receive lists of bytes, you will most likely need
 to add some glue to implement higher-level protocols (and transmit meaningful
 data).

Package: pd-xbee
Architecture: any
Depends:
 ${misc:Depends},
 ${puredata:Depends},
 ${shlibs:Depends},
Recommends:
 pd-comport,
 ${puredata:Recommends},
Suggests:
 ${puredata:Suggests},
Provides:
 ${puredata:Provides},
Section: electronics
Description: interfacing with your XBee from within Pure Data (Pd)
 This library allows you to interact with your XBee (a small form factor radio
 module).
 It provides objects for encoding and decoding XBee commands/responses.
 .
 The underlying communication is handled by other objects, usually [comport].

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2015-2022 IOhannes m zmölnig <umlaeute@debian.org>
# Description: Main Debian packaging script for mrpeach


#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# get SOURCE_DATE_EPOCH and DEB_VERSION
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=pd_lib_builder

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream_changelog

execute_after_dh_gencontrol:
	for p in cmos mrpeach-net xbee; do\
		if [ -f debian/.debhelper/pd-$$p/dbgsym-root/DEBIAN/control ]; then\
			echo "Conflicts: pd-mrpeach-dbgsym" >> debian/.debhelper/pd-$$p/dbgsym-root/DEBIAN/control\
	; fi; done
	if [ -f debian/.debhelper/pd-mrpeach/dbgsym-root/DEBIAN/control ]; then\
		echo "Conflicts: pd-cmos-dbgsym, pd-mrpeach-net-dbgsym, pd-xbee-dbgsym" >> debian/.debhelper/pd-mrpeach/dbgsym-root/DEBIAN/control\
	;fi

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*|midifile/I_Wanna_Be_Sedated\.mid
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# process this file with uscan(1)
version=4
opts=dversionmangle=auto,\
     uversionmangle=s/([a-z]+[0-9.]*$)/~$1/,\
     filenamemangle=s/.+\/v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
  https://github.com/pd-externals/mrpeach/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
